Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.ivy
[Java] Interface IvyConfiguration

    org.gradle.api.publish.ivy.IvyConfiguration
      org.gradle.api.Named

All Superinterfaces:
  Named

    @Incubating
    public interface IvyConfiguration
    extends Named

A configuration included in an IvyPublication, which will be published in the ivy descriptor file generated.

Method Summary
`void` | `extend(String configuration)` Add the name of a configuration that this configuration extends.
`Set` | `getExtends()` The set of names of extended configurations, added via extend(String).

Methods inherited from interface Named
getName

Method Detail

### extend

    public void extend(String configuration)

  Add the name of a configuration that this configuration extends. The extend value can use the following wildcards:
  - * - all other configurations
  - *(public) - all other public configurations
  - *(private) - all other private configurations
  Parameters:
    `configuration` - The extended configuration name

### getExtends

    public Set getExtends()

  The set of names of extended configurations, added via extend(String).
  Returns:
    The names of extended configurations.

Gradle API 1.10